## ros-indigo-rocon-smartthings-bridge 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rocon_smartthings_bridge)

find_package(catkin REQUIRED COMPONENTS
  rocon_iot_bridge
  rospy
)

catkin_python_setup()
catkin_package()
catkin_add_env_hooks(25.rocon-smartthings-bridge SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS
  scripts/smartthings_bridge.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-rocon-smartthings-bridge (0.0.7-0trusty) trusty; urgency=high

  * fix Cmake
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 Jul 2015 15:00:00 -0000

ros-indigo-rocon-smartthings-bridge (0.0.6-0trusty) trusty; urgency=high

  * add init py for ninjablock and smartthings
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 22 Jul 2015 15:00:00 -0000

ros-indigo-rocon-smartthings-bridge (0.0.5-0trusty) trusty; urgency=high

  * launch file update
  * separate out smartthings bridge
  * Contributors: Jihoon Lee
  * launch file update
  * separate out smartthings bridge
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-smartthings-bridge (0.0.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 14 Jun 2015 15:00:00 -0000

ros-indigo-rocon-smartthings-bridge (0.0.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 05 Jun 2015 03:43:00 -0000

ros-indigo-rocon-smartthings-bridge (0.0.2-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 05 Jun 2015 01:32:00 -0000

ros-indigo-rocon-smartthings-bridge (0.0.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 01 Jun 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-smartthings-bridge
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rocon-iot-bridge, ros-indigo-rospy
Homepage: http://wiki.ros.org/rocon_smartthings_bridge
Standards-Version: 3.9.2

Package: ros-indigo-rocon-smartthings-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rocon-device-msgs, ros-indigo-rocon-iot-bridge, ros-indigo-rocon-std-msgs, ros-indigo-rospy
Description: Bridging between ROS and smartthings

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-smartthings-bridge//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
